## ros-iron-admittance-controller 3.15.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(admittance_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wpedantic -Wconversion)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  angles
  control_msgs
  control_toolbox
  controller_interface
  Eigen3
  generate_parameter_library
  geometry_msgs
  hardware_interface
  joint_trajectory_controller
  kinematics_interface
  pluginlib
  rclcpp
  rclcpp_lifecycle
  realtime_tools
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_kdl
  tf2_ros
  trajectory_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(admittance_controller_parameters
  src/admittance_controller_parameters.yaml
)

add_library(admittance_controller SHARED
  src/admittance_controller.cpp
)
target_compile_features(admittance_controller PUBLIC cxx_std_17)
target_include_directories(admittance_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/admittance_controller>
)
target_link_libraries(admittance_controller PUBLIC
  admittance_controller_parameters
)
ament_target_dependencies(admittance_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(admittance_controller PRIVATE "ADMITTANCE_CONTROLLER_BUILDING_DLL")

pluginlib_export_plugin_description_file(controller_interface admittance_controller.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  # Dynamically loaded during test
  find_package(kinematics_interface_kdl REQUIRED)

  # test loading admittance controller
  add_rostest_with_parameters_gmock(test_load_admittance_controller
    test/test_load_admittance_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/test_params.yaml
  )
  ament_target_dependencies(test_load_admittance_controller
    controller_manager
    hardware_interface
    ros2_control_test_assets
  )

  # test admittance controller function
  add_rostest_with_parameters_gmock(test_admittance_controller
    test/test_admittance_controller.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/test/test_params.yaml
  )
  target_link_libraries(test_admittance_controller admittance_controller)
  ament_target_dependencies(test_admittance_controller
    control_msgs
    controller_interface
    hardware_interface
    ros2_control_test_assets
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/admittance_controller
)

install(TARGETS admittance_controller admittance_controller_parameters
  EXPORT export_admittance_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_admittance_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-iron-admittance-controller (3.15.0-1jammy) jammy; urgency=high

  * Update docs for diff drive controller (#751 <https://github.com/ros-controls/ros2_controllers/issues/751>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sun, 10 Sep 2023 23:00:00 -0000

ros-iron-admittance-controller (3.14.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 15 Aug 2023 23:00:00 -0000

ros-iron-admittance-controller (3.13.0-1jammy) jammy; urgency=high

  * Fix out of bound access in admittance controller (#721 <https://github.com/ros-controls/ros2_controllers/issues/721>)
  * Contributors: Abishalini Sivaraman

 -- Denis Štogl <denis@stogl.de>  Thu, 03 Aug 2023 23:00:00 -0000

ros-iron-admittance-controller (3.12.0-1jammy) jammy; urgency=high

  * Activate AdmittanceControllerTestParameterizedInvalidParameters (#711 <https://github.com/ros-controls/ros2_controllers/issues/711>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Mon, 17 Jul 2023 23:00:00 -0000

ros-iron-admittance-controller (3.11.0-1jammy) jammy; urgency=high

  * Fix cpplint (#681 <https://github.com/ros-controls/ros2_controllers/issues/681>)
  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Denis Štogl <denis@stogl.de>  Fri, 23 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.10.1-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 05 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.10.0-1jammy) jammy; urgency=high

  * enable ReflowComments to also use ColumnLimit on comments (#625 <https://github.com/ros-controls/ros2_controllers/issues/625>)
  * Contributors: Sai Kishor Kothakota

 -- Denis Štogl <denis@stogl.de>  Sat, 03 Jun 2023 23:00:00 -0000

ros-iron-admittance-controller (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Sat, 27 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.8.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Sat, 13 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.7.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Mon, 01 May 2023 23:00:00 -0000

ros-iron-admittance-controller (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Denis Štogl <denis@stogl.de>  Fri, 28 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.5.0-1jammy) jammy; urgency=high

  * Misplaced param init in admittance_controller (#547 <https://github.com/ros-controls/ros2_controllers/issues/547>)
  * [Parameters] Use gt_eq instead of deprecated lower_bounds in validators (#561 <https://github.com/ros-controls/ros2_controllers/issues/561>)
  * Contributors: Dr. Denis, GuiHome

 -- Denis Štogl <denis@stogl.de>  Thu, 13 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.4.0-1jammy) jammy; urgency=high

  * [AdmittanceController] Addintional argument in methods of ControllerInterface (#553 <https://github.com/ros-controls/ros2_controllers/issues/553>)
  * Removed auto param decl (#546 <https://github.com/ros-controls/ros2_controllers/issues/546>)
  * Contributors: Dr. Denis, GuiHome

 -- Denis Štogl <denis@stogl.de>  Sat, 01 Apr 2023 23:00:00 -0000

ros-iron-admittance-controller (3.3.0-1jammy) jammy; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Contributors: AndyZe

 -- Denis Štogl <denis@stogl.de>  Tue, 07 Mar 2023 00:00:00 -0000

ros-iron-admittance-controller (3.2.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Denis Štogl <denis@stogl.de>  Fri, 10 Feb 2023 00:00:00 -0000

ros-iron-admittance-controller (3.1.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Thu, 26 Jan 2023 00:00:00 -0000

ros-iron-admittance-controller (3.0.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Denis Štogl <denis@stogl.de>  Thu, 19 Jan 2023 00:00:00 -0000

ros-iron-admittance-controller (2.15.0-1jammy) jammy; urgency=high



 -- Denis Štogl <denis@stogl.de>  Tue, 06 Dec 2022 00:00:00 -0000

ros-iron-admittance-controller (2.14.0-1jammy) jammy; urgency=high

  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)
    We need a concrete implementation of kinematics_interface for tests to work. We use kinematics_interface_kdl implementation in the tests.
  * Fix parameter library export (#448 <https://github.com/ros-controls/ros2_controllers/issues/448>)
  * Add generic admittance controller for TCP wrenches (#370 <https://github.com/ros-controls/ros2_controllers/issues/370>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
    Co-authored-by: Denis Štogl <mailto:denis@stoglrobotics.de>
  * Contributors: Bence Magyar, Denis Štogl, Paul Gesel, Tyler Weaver
  * Bring admittance_controller version up to speed
  * [AdmittanceController] Add missing dependecies for the tests (#465 <https://github.com/ros-controls/ros2_controllers/issues/465>)


=== debian/control ===
Source: ros-iron-admittance-controller
Section: misc
Priority: optional
Maintainer: Denis Štogl <denis@stogl.de>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-controller-manager <!nocheck>, ros-iron-filters, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-hardware-interface, ros-iron-joint-trajectory-controller, ros-iron-kinematics-interface, ros-iron-kinematics-interface-kdl <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-ros2-control-test-assets <!nocheck>, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-admittance-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-backward-ros, ros-iron-control-msgs, ros-iron-control-toolbox, ros-iron-controller-interface, ros-iron-filters, ros-iron-generate-parameter-library, ros-iron-geometry-msgs, ros-iron-hardware-interface, ros-iron-joint-trajectory-controller, ros-iron-kinematics-interface, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-realtime-tools, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tf2-ros, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: Implementation of admittance controllers for different input and output interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-admittance-controller//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
